org.richfaces.taglib

## Class ComponentControlTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.ComponentControlTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class ComponentControlTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentControlTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAttachTiming(javax.el.ValueExpression __attachTiming)` Defines the page loading phase when componentControl is attached to another component.
    `void` | `setAttachTo(javax.el.ValueExpression __attachTo)` Client identifier of the component or id of the existing DOM element that is a source for given event.
    `void` | `setDisableDefault(javax.el.ValueExpression __disableDefault)` Disable default action for target event ( append "return false;" to JavaScript ) Setter for disableDefault
    `void` | `setEvent(javax.el.ValueExpression __event)` The Event that is used to trigger the operation on the target component Setter for event
    `void` | `setFor(javax.el.ValueExpression __for)` Client identifier of the target component.
    `void` | `setName(javax.el.ValueExpression __name)` The optional name of the function that might be used to trigger the operation on the target component Setter for name
    `void` | `setOperation(javax.el.ValueExpression __operation)` The function of JavaScript API that will be invoked.
    `void` | `setParams(javax.el.ValueExpression __params)` The set of parameters passed to the function of Javascript API that will be invoked.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### ComponentControlTag

          public ComponentControlTag()

  - ### Method Detail

    - #### setAttachTiming

          public void setAttachTiming(javax.el.ValueExpression __attachTiming)

      Defines the page loading phase when componentControl is attached to another component. Default value is "onavailable" Setter for attachTiming
      Parameters:
        `attachTiming` - - new value

    - #### setAttachTo

          public void setAttachTo(javax.el.ValueExpression __attachTo)

      Client identifier of the component or id of the existing DOM element that is a source for given event. If attachTo is defined, the event is attached on the client according to the attachTiming attribute. If attachTo is not defined, the event is attached on the server to the closest in the component tree parent component. Setter for attachTo
      Parameters:
        `attachTo` - - new value

    - #### setDisableDefault

          public void setDisableDefault(javax.el.ValueExpression __disableDefault)

      Disable default action for target event ( append "return false;" to JavaScript ) Setter for disableDefault
      Parameters:
        `disableDefault` - - new value

    - #### setEvent

          public void setEvent(javax.el.ValueExpression __event)

      The Event that is used to trigger the operation on the target component Setter for event
      Parameters:
        `event` - - new value

    - #### setFor

          public void setFor(javax.el.ValueExpression __for)

      Client identifier of the target component. Setter for for
      Parameters:
        `for` - - new value

    - #### setName

          public void setName(javax.el.ValueExpression __name)

      The optional name of the function that might be used to trigger the operation on the target component Setter for name
      Parameters:
        `name` - - new value

    - #### setOperation

          public void setOperation(javax.el.ValueExpression __operation)

      The function of JavaScript API that will be invoked. The API method is attached to the 'component' property of the root DOM element that represents the target component. The function has two parameters - event and params. See: 'params' attribute for details. Setter for operation
      Parameters:
        `operation` - - new value

    - #### setParams

          public void setParams(javax.el.ValueExpression __params)

      The set of parameters passed to the function of Javascript API that will be invoked. The JSON syntax is used to define the parameters, but without open and closed curve bracket. As an alternative, the set of f:param can be used to define the parameters passed to the API function. If both way are used to define the parameters, both set are concatenated. if names are equals, the f:param has a priority. Setter for params
      Parameters:
        `params` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.